Below are two tables showing the two problem classes that prevent co-installation of Multi-Arch:same binaries

For every M-A:same package we create a dummy package with the -pseudo prefix which depends on that package for amd64 and a dummy architecture generated from amd64 (called armhf here).

A machine parsable version can be retrieved in dose yaml format

Hover over a package name with your cursor for architecture and version information. Hovering over the arrows in the depchain columns will show the dependency that led from one package in the chain to the next.

src:gnuradio

Top 10 summary

The following is a summary of the full "missing" and "conflict" tables below. It only shows the first and last columns of the full tables and only displays the top 10 rows.

Missing

# of packages per missingUnsatisfied dependency
2libboost-regex1.74.0-icu67:amd64
2libboost-regex1.74.0-icu67:armhf

Conflict

# of packages per conflictConflict
18libthrift-0.13.0:amd64
3libthrift-0.13.0:armhf
1libqwt-qt5-6:amd64

missing

The packages in the third column cannot satisfy their (possibly transitive) dependencies because of the unsatisfied dependency in the last column. This is mostly because the binary package providing the dependency in the last column is Multi-Arch:no. Some of these packages need to be Multi-Arch:foreign instead. In some other cases, Build-Depends can be annotated with :native. The depchains column shows the dependency chain(s) from the packages in the third column to the unsatisfied dependency in the last column. The "(*)" placeholder in the depchains column represents any package in the third column. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared unsatisfied dependency (last column) and then by shared dependency chain (fourth column). The groups are sorted by the number of packages missing the dependency in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chain.

# of packages per missing# of packages per depchainpackages with missing (possibly transitive) dependenciesDepchainsUnsatisfied dependency
2 1libgnuradio-pdu3.10.0-pseudo(*)libgnuradio-pdu3.10.0 libboost-regex1.74.0-icu67:amd64
1libgnuradio-wavelet3.10.0-pseudo(*)libgnuradio-wavelet3.10.0
2 1libgnuradio-pdu3.10.0-pseudo(*)libgnuradio-pdu3.10.0 libboost-regex1.74.0-icu67:armhf
1libgnuradio-wavelet3.10.0-pseudo(*)libgnuradio-wavelet3.10.0

conflict

The packages in the third column cannot satisfy their (possibly transitive) dependencies because the last package(s) in the first depchain have an unsatisfied conflict which is shown in the last column. The second depchain column shows the dependency chain(s) to the package which the last package(s) in the first depchain conflict with. Sometimes, multiple dependency chains sharing the same conflict exist. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared conflicting dependency (last column) and then by the shared dependency chains (fourth and fifth column). The groups are sorted by the number of packages sharing the conflict in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chains.

# of packages per conflict# of packages per depchainpackages with (possibly transitive) conflicting dependenciesDepchain 1Depchain2Conflict
18 1libgnuradio-analog3.10.0-pseudo(*)libgnuradio-analog3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-analog3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0 libthrift-0.13.0:amd64
1libgnuradio-audio3.10.0-pseudo(*)libgnuradio-audio3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-audio3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-blocks3.10.0-pseudo(*)libgnuradio-blocks3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-blocks3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-channels3.10.0-pseudo(*)libgnuradio-channels3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-channels3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-digital3.10.0-pseudo(*)libgnuradio-digital3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-digital3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-dtv3.10.0-pseudo(*)libgnuradio-dtv3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-dtv3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-fec3.10.0-pseudo(*)libgnuradio-fec3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-fec3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-fft3.10.0-pseudo(*)libgnuradio-fft3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-fft3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-filter3.10.0-pseudo(*)libgnuradio-filter3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-filter3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-iio3.10.0-pseudo(*)libgnuradio-iio3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-iio3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-network3.10.0-pseudo(*)libgnuradio-network3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-network3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-runtime3.10.0-pseudo(*)libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-soapy3.10.0-pseudo(*)libgnuradio-soapy3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-soapy3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-trellis3.10.0-pseudo(*)libgnuradio-trellis3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-trellis3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-uhd3.10.0-pseudo(*)libgnuradio-uhd3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-uhd3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-video-sdl3.10.0-pseudo(*)libgnuradio-video-sdl3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-video-sdl3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-vocoder3.10.0-pseudo(*)libgnuradio-vocoder3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-vocoder3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-zeromq3.10.0-pseudo(*)libgnuradio-zeromq3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-zeromq3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
3 1libgnuradio-pdu3.10.0-pseudo(*)libgnuradio-pdu3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-pdu3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0 libthrift-0.13.0:armhf
1libgnuradio-qtgui3.10.0-pseudo(*)libgnuradio-qtgui3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-qtgui3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1libgnuradio-wavelet3.10.0-pseudo(*)libgnuradio-wavelet3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0(*)libgnuradio-wavelet3.10.0libgnuradio-runtime3.10.0libthrift-0.13.0
1 1libgnuradio-qtgui3.10.0-pseudo(*)libgnuradio-qtgui3.10.0libqwt-qt5-6(*)libgnuradio-qtgui3.10.0libqwt-qt5-6 libqwt-qt5-6:amd64

src:gnuradio

Top 10 summary

The following is a summary of the full "missing" and "conflict" tables below. It only shows the first and last columns of the full tables and only displays the top 10 rows.

Missing

# of packages per missingUnsatisfied dependency
2libboost-regex1.74.0-icu67:amd64
2libboost-regex1.74.0-icu67:armhf

Conflict

# of packages per conflictConflict
18libthrift-0.13.0:amd64
3libthrift-0.13.0:armhf
1libqwt-qt5-6:amd64

missing

The packages in the third column cannot satisfy their (possibly transitive) dependencies because of the unsatisfied dependency in the last column. This is mostly because the binary package providing the dependency in the last column is Multi-Arch:no. Some of these packages need to be Multi-Arch:foreign instead. In some other cases, Build-Depends can be annotated with :native. The depchains column shows the dependency chain(s) from the packages in the third column to the unsatisfied dependency in the last column. The "(*)" placeholder in the depchains column represents any package in the third column. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared unsatisfied dependency (last column) and then by shared dependency chain (fourth column). The groups are sorted by the number of packages missing the dependency in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chain.

# of packages per missing# of packages per depchainpackages with missing (possibly transitive) dependenciesDepchainsUnsatisfied dependency
2 1libgnuradio-pdu3.10.1-pseudo(*)libgnuradio-pdu3.10.1 libboost-regex1.74.0-icu67:amd64
1libgnuradio-wavelet3.10.1-pseudo(*)libgnuradio-wavelet3.10.1
2 1libgnuradio-pdu3.10.1-pseudo(*)libgnuradio-pdu3.10.1 libboost-regex1.74.0-icu67:armhf
1libgnuradio-wavelet3.10.1-pseudo(*)libgnuradio-wavelet3.10.1

conflict

The packages in the third column cannot satisfy their (possibly transitive) dependencies because the last package(s) in the first depchain have an unsatisfied conflict which is shown in the last column. The second depchain column shows the dependency chain(s) to the package which the last package(s) in the first depchain conflict with. Sometimes, multiple dependency chains sharing the same conflict exist. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared conflicting dependency (last column) and then by the shared dependency chains (fourth and fifth column). The groups are sorted by the number of packages sharing the conflict in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chains.

# of packages per conflict# of packages per depchainpackages with (possibly transitive) conflicting dependenciesDepchain 1Depchain2Conflict
18 1libgnuradio-analog3.10.1-pseudo(*)libgnuradio-analog3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-analog3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0 libthrift-0.13.0:amd64
1libgnuradio-audio3.10.1-pseudo(*)libgnuradio-audio3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-audio3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-blocks3.10.1-pseudo(*)libgnuradio-blocks3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-blocks3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-channels3.10.1-pseudo(*)libgnuradio-channels3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-channels3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-digital3.10.1-pseudo(*)libgnuradio-digital3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-digital3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-dtv3.10.1-pseudo(*)libgnuradio-dtv3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-dtv3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-fec3.10.1-pseudo(*)libgnuradio-fec3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-fec3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-fft3.10.1-pseudo(*)libgnuradio-fft3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-fft3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-filter3.10.1-pseudo(*)libgnuradio-filter3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-filter3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-iio3.10.1-pseudo(*)libgnuradio-iio3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-iio3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-network3.10.1-pseudo(*)libgnuradio-network3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-network3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-runtime3.10.1-pseudo(*)libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-soapy3.10.1-pseudo(*)libgnuradio-soapy3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-soapy3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-trellis3.10.1-pseudo(*)libgnuradio-trellis3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-trellis3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-uhd3.10.1-pseudo(*)libgnuradio-uhd3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-uhd3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-video-sdl3.10.1-pseudo(*)libgnuradio-video-sdl3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-video-sdl3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-vocoder3.10.1-pseudo(*)libgnuradio-vocoder3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-vocoder3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-zeromq3.10.1-pseudo(*)libgnuradio-zeromq3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-zeromq3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
3 1libgnuradio-pdu3.10.1-pseudo(*)libgnuradio-pdu3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-pdu3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0 libthrift-0.13.0:armhf
1libgnuradio-qtgui3.10.1-pseudo(*)libgnuradio-qtgui3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-qtgui3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1libgnuradio-wavelet3.10.1-pseudo(*)libgnuradio-wavelet3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0(*)libgnuradio-wavelet3.10.1libgnuradio-runtime3.10.1libthrift-0.13.0
1 1libgnuradio-qtgui3.10.1-pseudo(*)libgnuradio-qtgui3.10.1libqwt-qt5-6(*)libgnuradio-qtgui3.10.1libqwt-qt5-6 libqwt-qt5-6:amd64

src:gnuradio

Top 10 summary

The following is a summary of the full "missing" and "conflict" tables below. It only shows the first and last columns of the full tables and only displays the top 10 rows.

Missing

# of packages per missingUnsatisfied dependency
2libboost-regex1.74.0-icu67:amd64
2libboost-regex1.74.0-icu67:armhf

Conflict

# of packages per conflictConflict
15libthrift-0.13.0:amd64
4libthrift-0.13.0:armhf
1libqwt-qt5-6:amd64

missing

The packages in the third column cannot satisfy their (possibly transitive) dependencies because of the unsatisfied dependency in the last column. This is mostly because the binary package providing the dependency in the last column is Multi-Arch:no. Some of these packages need to be Multi-Arch:foreign instead. In some other cases, Build-Depends can be annotated with :native. The depchains column shows the dependency chain(s) from the packages in the third column to the unsatisfied dependency in the last column. The "(*)" placeholder in the depchains column represents any package in the third column. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared unsatisfied dependency (last column) and then by shared dependency chain (fourth column). The groups are sorted by the number of packages missing the dependency in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chain.

# of packages per missing# of packages per depchainpackages with missing (possibly transitive) dependenciesDepchainsUnsatisfied dependency
2 1libgnuradio-uhd3.8.2-pseudo(*)libgnuradio-uhd3.8.2libuhd3.15.0 libboost-regex1.74.0-icu67:amd64
1libgnuradio-wavelet3.8.2-pseudo(*)libgnuradio-wavelet3.8.2
2 1libgnuradio-uhd3.8.2-pseudo(*)libgnuradio-uhd3.8.2libuhd3.15.0 libboost-regex1.74.0-icu67:armhf
1libgnuradio-wavelet3.8.2-pseudo(*)libgnuradio-wavelet3.8.2

conflict

The packages in the third column cannot satisfy their (possibly transitive) dependencies because the last package(s) in the first depchain have an unsatisfied conflict which is shown in the last column. The second depchain column shows the dependency chain(s) to the package which the last package(s) in the first depchain conflict with. Sometimes, multiple dependency chains sharing the same conflict exist. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared conflicting dependency (last column) and then by the shared dependency chains (fourth and fifth column). The groups are sorted by the number of packages sharing the conflict in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chains.

# of packages per conflict# of packages per depchainpackages with (possibly transitive) conflicting dependenciesDepchain 1Depchain2Conflict
15 1libgnuradio-analog3.8.2-pseudo(*)libgnuradio-analog3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-analog3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0 libthrift-0.13.0:amd64
1libgnuradio-audio3.8.2-pseudo(*)libgnuradio-audio3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-audio3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-blocks3.8.2-pseudo(*)libgnuradio-blocks3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-blocks3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-channels3.8.2-pseudo(*)libgnuradio-channels3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-channels3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-dab3.8.0-pseudo(*)libgnuradio-dab3.8.0libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-dab3.8.0libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-digital3.8.2-pseudo(*)libgnuradio-digital3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-digital3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-dtv3.8.2-pseudo(*)libgnuradio-dtv3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-dtv3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-fec3.8.2-pseudo(*)libgnuradio-fec3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-fec3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-fft3.8.2-pseudo(*)libgnuradio-fft3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-fft3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-filter3.8.2-pseudo(*)libgnuradio-filter3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-filter3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-runtime3.8.2-pseudo(*)libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-trellis3.8.2-pseudo(*)libgnuradio-trellis3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-trellis3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-video-sdl3.8.2-pseudo(*)libgnuradio-video-sdl3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-video-sdl3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-vocoder3.8.2-pseudo(*)libgnuradio-vocoder3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-vocoder3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-zeromq3.8.2-pseudo(*)libgnuradio-zeromq3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-zeromq3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
4 1gr-dab-dev-pseudo(*)gr-dab-devlibgnuradio-dab3.8.0libgnuradio-runtime3.8.2libthrift-0.13.0(*)gr-dab-devlibgnuradio-dab3.8.0libgnuradio-runtime3.8.2libthrift-0.13.0 libthrift-0.13.0:armhf
1libgnuradio-qtgui3.8.2-pseudo(*)libgnuradio-qtgui3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-qtgui3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-uhd3.8.2-pseudo(*)libgnuradio-uhd3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0(*)libgnuradio-uhd3.8.2libgnuradio-runtime3.8.2libthrift-0.13.0
1libgnuradio-wavelet3.8.2-pseudo(*)libgnuradio-wavelet3.8.2libthrift-0.13.0(*)libgnuradio-wavelet3.8.2libthrift-0.13.0
1 1libgnuradio-qtgui3.8.2-pseudo(*)libgnuradio-qtgui3.8.2libqwt-qt5-6(*)libgnuradio-qtgui3.8.2libqwt-qt5-6 libqwt-qt5-6:amd64

src:gnuradio

Top 10 summary

The following is a summary of the full "missing" and "conflict" tables below. It only shows the first and last columns of the full tables and only displays the top 10 rows.

Missing

# of packages per missingUnsatisfied dependency
1libboost-regex1.74.0-icu67:amd64
1libboost-regex1.74.0-icu67:armhf

Conflict

# of packages per conflictConflict
17libthrift-0.13.0:amd64
2libthrift-0.13.0:armhf
1libqwt-qt5-6:amd64

missing

The packages in the third column cannot satisfy their (possibly transitive) dependencies because of the unsatisfied dependency in the last column. This is mostly because the binary package providing the dependency in the last column is Multi-Arch:no. Some of these packages need to be Multi-Arch:foreign instead. In some other cases, Build-Depends can be annotated with :native. The depchains column shows the dependency chain(s) from the packages in the third column to the unsatisfied dependency in the last column. The "(*)" placeholder in the depchains column represents any package in the third column. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared unsatisfied dependency (last column) and then by shared dependency chain (fourth column). The groups are sorted by the number of packages missing the dependency in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chain.

# of packages per missing# of packages per depchainpackages with missing (possibly transitive) dependenciesDepchainsUnsatisfied dependency
1 1libgnuradio-wavelet3.9.4-pseudo(*)libgnuradio-wavelet3.9.4 libboost-regex1.74.0-icu67:amd64
1 1libgnuradio-wavelet3.9.4-pseudo(*)libgnuradio-wavelet3.9.4 libboost-regex1.74.0-icu67:armhf

conflict

The packages in the third column cannot satisfy their (possibly transitive) dependencies because the last package(s) in the first depchain have an unsatisfied conflict which is shown in the last column. The second depchain column shows the dependency chain(s) to the package which the last package(s) in the first depchain conflict with. Sometimes, multiple dependency chains sharing the same conflict exist. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared conflicting dependency (last column) and then by the shared dependency chains (fourth and fifth column). The groups are sorted by the number of packages sharing the conflict in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chains.

# of packages per conflict# of packages per depchainpackages with (possibly transitive) conflicting dependenciesDepchain 1Depchain2Conflict
17 1libgnuradio-analog3.9.4-pseudo(*)libgnuradio-analog3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-analog3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0 libthrift-0.13.0:amd64
1libgnuradio-audio3.9.4-pseudo(*)libgnuradio-audio3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-audio3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-blocks3.9.4-pseudo(*)libgnuradio-blocks3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-blocks3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-channels3.9.4-pseudo(*)libgnuradio-channels3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-channels3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-digital3.9.4-pseudo(*)libgnuradio-digital3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-digital3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-dtv3.9.4-pseudo(*)libgnuradio-dtv3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-dtv3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-fec3.9.4-pseudo(*)libgnuradio-fec3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-fec3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-fft3.9.4-pseudo(*)libgnuradio-fft3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-fft3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-filter3.9.4-pseudo(*)libgnuradio-filter3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-filter3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-network3.9.4-pseudo(*)libgnuradio-network3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-network3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-runtime3.9.4-pseudo(*)libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-soapy3.9.4-pseudo(*)libgnuradio-soapy3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-soapy3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-trellis3.9.4-pseudo(*)libgnuradio-trellis3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-trellis3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-uhd3.9.4-pseudo(*)libgnuradio-uhd3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-uhd3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-video-sdl3.9.4-pseudo(*)libgnuradio-video-sdl3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-video-sdl3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-vocoder3.9.4-pseudo(*)libgnuradio-vocoder3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-vocoder3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1libgnuradio-zeromq3.9.4-pseudo(*)libgnuradio-zeromq3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-zeromq3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
2 1libgnuradio-qtgui3.9.4-pseudo(*)libgnuradio-qtgui3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-qtgui3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0 libthrift-0.13.0:armhf
1libgnuradio-wavelet3.9.4-pseudo(*)libgnuradio-wavelet3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0(*)libgnuradio-wavelet3.9.4libgnuradio-runtime3.9.4libthrift-0.13.0
1 1libgnuradio-qtgui3.9.4-pseudo(*)libgnuradio-qtgui3.9.4libqwt-qt5-6(*)libgnuradio-qtgui3.9.4libqwt-qt5-6 libqwt-qt5-6:amd64

src:gnuradio

Top 10 summary

The following is a summary of the full "missing" and "conflict" tables below. It only shows the first and last columns of the full tables and only displays the top 10 rows.

Conflict

# of packages per conflictConflict
1gnuradio-dev:amd64
1libqwt-qt5-6:amd64
1libthrift-dev:armhf
1python3-dev:armhf
1python3-minimal:amd64
1python3.10-dev:armhf
1python3.10-minimal:armhf
1python3.10:amd64
1python3:amd64

conflict

The packages in the third column cannot satisfy their (possibly transitive) dependencies because the last package(s) in the first depchain have an unsatisfied conflict which is shown in the last column. The second depchain column shows the dependency chain(s) to the package which the last package(s) in the first depchain conflict with. Sometimes, multiple dependency chains sharing the same conflict exist. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared conflicting dependency (last column) and then by the shared dependency chains (fourth and fifth column). The groups are sorted by the number of packages sharing the conflict in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chains.

# of packages per conflict# of packages per depchainpackages with (possibly transitive) conflicting dependenciesDepchain 1Depchain2Conflict
1 1gr-dab-dev-pseudo(*)gr-dab-devgnuradio-dev(*)gr-dab-devgnuradio-dev gnuradio-dev:amd64
1 1libgnuradio-qtgui3.10.2-pseudo(*)libgnuradio-qtgui3.10.2libqwt-qt5-6(*)libgnuradio-qtgui3.10.2libqwt-qt5-6 libqwt-qt5-6:amd64
1 1gr-dab-dev-pseudo(*)gr-dab-devgnuradio-devlibthrift-dev(*)gr-dab-devgnuradio-devlibthrift-dev libthrift-dev:armhf
1 1gr-dab-dev-pseudo(*)gr-dab-devgnuradio-devpython3-dev(*)gr-dab-devgnuradio-devpython3-dev python3-dev:armhf
1 1gr-dab-dev-pseudo(*)gr-dab-devgnuradio-devgnuradiopython3python3-minimal(*)gr-dab-devgnuradio-devpython3-devpython3python3-minimal python3-minimal:amd64
1 1gr-dab-dev-pseudo(*)gr-dab-devgnuradio-devpython3-devpython3.10-dev(*)gr-dab-devgnuradio-devpython3-devpython3.10-dev python3.10-dev:armhf
1 1gr-dab-dev-pseudo(*)gr-dab-devgnuradio-devpython3-devpython3.10-devpython3.10python3.10-minimal(*)gr-dab-devgnuradio-devgnuradiopython3python3.10python3.10-minimal python3.10-minimal:armhf
1 1gr-dab-dev-pseudo(*)gr-dab-devgnuradio-devgnuradiopython3python3.10(*)gr-dab-devgnuradio-devpython3-devpython3.10-devpython3.10 python3.10:amd64
1 1gr-dab-dev-pseudo(*)gr-dab-devgnuradio-devgnuradiopython3(*)gr-dab-devgnuradio-devpython3-devpython3 python3:amd64

generated: 20220530T000000Z


The JSON data used to generate these pages was computed using botch, the bootstrap/build ordering tool chain. The source code of botch can be redistributed under the terms of the LGPL3+ with an OCaml linking exception. The source code can be retrieved from https://gitlab.mister-muffin.de/debian-bootstrap/botch

The html pages were generated by code which can be retrieved from https://gitlab.mister-muffin.de/debian-bootstrap/bootstrap_debian_net and which can be redistributed under the terms of the AGPL3+

For questions and bugreports please contact j [dot] schauer [at] email [dot] de.